Bug 233882

Summary: sysutils/pefs-kmod: make build on 12
Product: Ports & Packages Reporter: Peter Wullinger <freebsd>
Component: Individual Port(s)Assignee: Tobias Kortkamp <tobik>
Status: Closed FIXED    
Severity: Affects Only Me CC: kmoore
Priority: --- Flags: bugzilla: maintainer-feedback? (gleb)
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
fix build on 12
none
Update to 2018-11-26 none

Description Peter Wullinger 2018-12-09 12:15:27 UTC
Created attachment 199975 [details]
fix build on 12

Combine referenced upstream patches from #233242 with fixes for pefs_crypto.c: additionally include <sys/systm.h> before <sys/dirent.h> to get memset() prototype.
Comment 1 Peter Wullinger 2018-12-09 12:18:34 UTC
memset() issue is also fixed upstream as 4ddb2ab8fc0d98c7df7f27e0795f4642e66df1c0
Comment 2 Gleb Kurtsou freebsd_committer 2018-12-09 18:55:11 UTC
Created attachment 199988 [details]
Update to 2018-11-26

Issue was fixed upstream and 2018-11-26 released. I don't have ports commit bit to commit the patch. Can ports developer help me out?
Comment 3 commit-hook freebsd_committer 2018-12-09 22:17:16 UTC
A commit references this bug:

Author: tobik
Date: Sun Dec  9 22:16:36 UTC 2018
New revision: 487095
URL: https://svnweb.freebsd.org/changeset/ports/487095

Log:
  sysutils/pefs-kmod: Update to 2018.11.26

  - Fixes build on 12

  PR:		233882
  Approved by:	gleb (maintainer)
  MFH:		2018Q4

Changes:
  head/sysutils/pefs-kmod/Makefile
  head/sysutils/pefs-kmod/distinfo
  head/sysutils/pefs-kmod/files/patch-sys_fs_pefs_pefs__vnops.c
Comment 4 commit-hook freebsd_committer 2018-12-10 07:13:01 UTC
A commit references this bug:

Author: tobik
Date: Mon Dec 10 07:12:02 UTC 2018
New revision: 487131
URL: https://svnweb.freebsd.org/changeset/ports/487131

Log:
  MFH: r485210 r487095

  - Unbreak on HEAD

  PR: 233242
  Submitted by: Nathan <ndowens@yahoo.com>
  Reported by: Martin Wilke <miwi@FreeBSD.org>
  Reviewed by: Gleb Kurtsou <gleb@FreeBSD.org>

  sysutils/pefs-kmod: Update to 2018.11.26

  - Fixes build on 12

  PR:		233882
  Approved by:	gleb (maintainer)

  Approved by:	ports-secteam (miwi)

Changes:
_U  branches/2018Q4/
  branches/2018Q4/sysutils/pefs-kmod/Makefile
  branches/2018Q4/sysutils/pefs-kmod/distinfo